Menu

## QROptionsTest extends TestCase
in package

QROptionsTest.php : 22

QROptions test

### Table of Contents

circleRadiusProvider() : array<string|int, array<string|int, float>>
logoSpaceValueProvider() : array<string|int, array<string|int, int>>
MaskPatternProvider() : array<string|int, array<string|int, int>>
RGBProvider() : array<string|int, array<string|int, array<string|int, int>>>
testClampCircleRadius() : void
  Tests clamping of the circle radius
testClampLogoSpaceValue() : void
  Tests the clamping (between 0 and 177) of the logo space values
testClampRGBValues() : void
  Tests clamping of the RGB values for $imageTransparencyBG
testInvalidEccLevelException() : void
  Tests if an exception is thrown on an incorrect ECC level
testInvalidRGBValueException() : void
  Tests if an exception is thrown when a non-numeric RGB value was encoutered
testLogoSpaceStartNullable() : void
  Tests if the optional logo space start values are nullable
testMaskPatternClamp() : void
  Tests the $maskPattern clamping
testVersionClamp() : void
  Tests the $version clamping
testVersionMinMaxClamp() : void
  Tests the $versionMin/$versionMax clamping
VersionMinMaxProvider() : array<string|int, array<string|int, int>>
VersionProvider() : array<string|int, array<string|int, int>>

### Methods

#### circleRadiusProvider()

QROptionsTest.php : 185
`public circleRadiusProvider() : array<string|int, array<string|int, float>>`

##### Return values

array<string|int, array<string|int, float>> —

#### logoSpaceValueProvider()

QROptionsTest.php : 138
`public logoSpaceValueProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>> —

#### MaskPatternProvider()

QROptionsTest.php : 74
`public MaskPatternProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>> —

#### RGBProvider()

QROptionsTest.php : 106
`public RGBProvider() : array<string|int, array<string|int, array<string|int, int>>>`

##### Return values

array<string|int, array<string|int, array<string|int, int>>> —

#### testClampCircleRadius()

QROptionsTest.php : 198

Tests clamping of the circle radius

`public testClampCircleRadius(float $value, float $expected) : void`

##### Parameters

$value : float
$expected : float

##### Tags

dataProvider

  circleRadiusProvider

##### Return values

void —

#### testClampLogoSpaceValue()

QROptionsTest.php : 153

Tests the clamping (between 0 and 177) of the logo space values

`public testClampLogoSpaceValue(int $value, int $expected) : void`

##### Parameters

$value : int
$expected : int

##### Tags

dataProvider

  logoSpaceValueProvider

##### Return values

void —

#### testClampRGBValues()

QROptionsTest.php : 119

Tests clamping of the RGB values for $imageTransparencyBG

`public testClampRGBValues(array<string|int, mixed> $rgb, array<string|int, mixed> $expected) : void`

##### Parameters

$rgb : array<string|int, mixed>
$expected : array<string|int, mixed>

##### Tags

dataProvider

  RGBProvider

##### Return values

void —

#### testInvalidEccLevelException()

QROptionsTest.php : 96

Tests if an exception is thrown on an incorrect ECC level

`public testInvalidEccLevelException() : void`

##### Return values

void —

#### testInvalidRGBValueException()

QROptionsTest.php : 128

Tests if an exception is thrown when a non-numeric RGB value was encoutered

`public testInvalidRGBValueException() : void`

##### Return values

void —

#### testLogoSpaceStartNullable()

QROptionsTest.php : 166

Tests if the optional logo space start values are nullable

`public testLogoSpaceStartNullable() : void`

##### Return values

void —

#### testMaskPatternClamp()

QROptionsTest.php : 87

Tests the $maskPattern clamping

`public testMaskPatternClamp(int $maskPattern, int $expected) : void`

##### Parameters

$maskPattern : int
$expected : int

##### Tags

dataProvider

  MaskPatternProvider

##### Return values

void —

#### testVersionClamp()

QROptionsTest.php : 41

Tests the $version clamping

`public testVersionClamp(int $version, int $expected) : void`

##### Parameters

$version : int
$expected : int

##### Tags

dataProvider

  VersionProvider

##### Return values

void —

#### testVersionMinMaxClamp()

QROptionsTest.php : 64

Tests the $versionMin/$versionMax clamping

`public testVersionMinMaxClamp(int $versionMin, int $versionMax, int $expectedMin, int $expectedMax) : void`

##### Parameters

$versionMin : int
$versionMax : int
$expectedMin : int
$expectedMax : int

##### Tags

dataProvider

  VersionMinMaxProvider

##### Return values

void —

#### VersionMinMaxProvider()

QROptionsTest.php : 50
`public VersionMinMaxProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>> —

#### VersionProvider()

QROptionsTest.php : 27
`public VersionProvider() : array<string|int, array<string|int, int>>`

##### Return values

array<string|int, array<string|int, int>> —

## Search results